#pragma once
#include <time.h>
#include "meteofrance.h"
#include "lvgl.h"
#include "model.h"

void app_main_display();
void app_ota_display();
void setOTAProgress(int value);
void init_display_ihm();

bool display_lock(const char *TAG);

void display_unlock(const char *TAG);

void meteo_obs_cb(lv_observer_t *observer, lv_subject_t *subject);

void showMeteoIcon(const char *icon, lv_obj_t *desc_icon, int childNr);

void draw_tabVolets();
void meteoCb(lv_obj_t *base_obj);
void drawHome();

void draw_time(struct tm *dateHeure);
void draw_temp(char *tempHumid);

void create_card();

void weather_data_retreived_start();

void weather_data_retreived(meteodailyforecast_data dailyDatas[3], meteoforecast_data datas[3]);

void draw_tabMeteo(lv_obj_t * parent);

void tabChgEvt(lv_event_t *event);

void draw_tabCuve(lv_obj_t * parent);
void draw_tabHome(lv_obj_t * parent);
void draw_tabSettings(lv_obj_t * parent);

void drawIhm(void *pvParameter);
